Name:		f3
Version:	8.0
Release:	%mkrel 1
Summary:	Utility to test for fake flash drives and cards
License:	GPLv3
Group:      File tools
URL:		http://oss.digirati.com.br/%{name}/
Source0:	https://github.com/AltraMayor/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  parted-devel


%description
F3 is a utility to test for fake flash drives and cards. It is a Free
Software alternative to h2testw.  f3write will fill the unused part of
a filesystem with files NNNN.fff with known content, and f3read will
analyze the files to determine whether the contents are corrupted, as
happens with fake flash.

%prep
%setup -q

%build
sed -i -e 's:/usr/local:/usr:g' Makefile
%make

%install
rm -rf %buildroot
%make DESTDIR=%buildroot install

%files
%{_bindir}/f3read
%{_bindir}/f3write
%{_datadir}/man/man1/f3read.1.bz2
%{_datadir}/man/man1/f3write.1.bz2

%changelog
* Tue Jan 19 2021 tex - 8.0-1pclos2021
- new version

* Sat Nov 30 2019 tex - 7.2-1pclos2019
- create
